Subject: Re: [OPSAWG] draft-asai-vmm-mib: Issues on notifications

From: Michael MacFaden <[email-masked]>
Date: Mon, 20 May 2013 17:51:23 -0700 (PDT)

Have since posted my edits. My thinking is that having the set of VMs in the 
notification is useful the  mgmt app,

If we go with only the hypervisor in the notification, then
would think we'd need to provide an alternate indexing scheme such as
TimeFilter make polling for changes since last poll simpler. Having used
TimeFilter in the past, that experienc was downright well painful. 

Hence the solution above borrowing from RFC 2674.

Thanks,
Mike

----- Original Message -----
> Hi -
> 
> > From: "Juergen Schoenwaelder" <[email-masked]>
> > To: "Randy Presuhn" <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Thursday, April 11, 2013 11:36 PM
> > Subject: Re: [OPSAWG] draft-asai-vmm-mib: Issues on notifications
> ...
> > > > o  Issue 1-1) Scalability issue on notifications: The number of
> ...
> > I think Michael wanted to post notification definitions that help
> > reduce the number of notifications emitted if for example all virtual
> > machines of a hypervisor change state at about the same time (e.g.,
> > because the physical server is restarted). This may be a good thing
> > since it reduces the number of notifications at the source and as
> > such works independently of RFCs 3014 or 3877.
> 
> For that specific use case, a notifcation identifying the hypervisor
> to which those VMs belong, rather than the individual virtual machines,
> would seem a better way to go.  One might even argue that the
> coldStart notification type could be sufficient to do the job.
> 
> Randy
> 
> 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>